version: "3.8"

services:
  jellyfin:
    image: jellyfin/jellyfin:latest
    container_name: jellyfin

    user: "1004:1004"  # Adjust to match your user/group ID (or use the media group ID)

    ports:
      - "127.0.0.1:8096:8096"

    volumes:
      - /srv/jellyfin/config:/config
      - /srv/jellyfin/cache:/cache
      - /home/ftpuser/ftp/media/video:/media/video
      - /home/ftpuser/ftp/media/audio:/media/audio
      - /home/ftpuser/ftp/media/books:/media/books

    environment:
      - TZ=Asia/Jerusalem

    restart: unless-stopped
